Package org.eclipse.team.ui

# Interface ISaveableWorkbenchPart

All Superinterfaces:
  `IAdaptable`, `ISaveablePart`, `IWorkbenchPart`

All Known Implementing Classes:
  `HistoryPageSaveablePart`, `PageSaveablePart`, `ParticipantPageSaveablePart`, `SaveablePartAdapter`

@Deprecated public interface ISaveableWorkbenchPart extends ISaveablePart, IWorkbenchPart
Deprecated.
Clients should use a subclass of `CompareEditorInput` and `CompareUI.openCompareDialog(org.eclipse.compare.CompareEditorInput)`
A saveable workbench part is a visual component that can be shown within different contexts (e.g a dialog, workbench page).

Since:
  3.0
See Also:
  - `SaveablePartDialog`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`PROP_DIRTY`
Deprecated.
The property id for `isDirty`.

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Method Summary

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.ISaveablePart

`doSave, doSaveAs, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

## Field Details

### PROP_DIRTY

static final int PROP_DIRTY
Deprecated.
The property id for `isDirty`.

See Also:
  - Constant Field Values